/* Copyright (c)1997 Begemot Computer Associates. All rights reserved.
 * See the file COPYRIGHT for details of redistribution and use. */
/*
 * $Id: inform.c,v 1.5 1998/02/02 16:21:09 hbb Exp $
 */
# include <stdio.h>
# include <stdlib.h>
# include "begemot.h"
# include "private.h"

/*
 * Display a info message.
 */
void
inform(const char *fmt, ...)
{
	va_list ap;

	va_start(ap, fmt);
	begemot_common_err("info", "\n", fmt, ap);
	va_end(ap);
}
void
vinform(const char *fmt, va_list ap)
{
	begemot_common_err("info", "\n", fmt, ap);
}
