'\"
'\" Copyright (c)1997 Begemot Computer Associates. All rights reserved.
'\" See the file COPYRIGHT for details of redistribution and use.
'\"
'\" $Id: strnlen.man,v 1.2 1997/12/01 10:04:40 hbb Exp $
'\"
.TH strnchr l "15 Apr 1999" "BEGEMOT" "BEGEMOT Library"
.SH NAME
strnchr - locate character in string
.SH SYNOPSIS
.nf
.LP
.B "# include <string.h>"
.B "# include <begemot.h>"
.LP
.BR "char * strnchr(const char *" "s" ", int " "c" ", size_t " "n" ");"
.fi
.SH DESCRIPTION
This function returns a pointer to the first occurence of character
.I c
in string
.IR s .
The search stops after
.I n
characters or at the end of the string.
.SH "RETURN VALUE"
The function returns a pointer to the matching character
or NULL if no match is found within the first
.I n
characters.
.SH "SEE ALSO"
.BR strchr (3C)
